bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

coreutils build on OSF/1 4.0d


From: Bruno Haible
Subject: coreutils build on OSF/1 4.0d
Date: Sat, 24 Feb 2007 00:10:58 +0100
User-agent: KMail/1.5.4

Hi,

Building a coreutils snapshot (2007-02-21) from http//"meyering.net/cu/
on OSF/1 4.0d with the native cc shows three problems:


1) "Make: bad lock name" errors when 'make' enters the src directory.
This was already reported in
http://lists.gnu.org/archive/html/bug-coreutils/2004-02/msg00062.html


2) "make check" failure of du/slink.
The 'out' file produced by this test has size 0 for all sylimks. The same
happens for /bin/du, so it's not a problem in the code of 'du'. Probably
this type of file system needs to be excluded, like 'xfs' is excluded.
The type of file system in this case is 'nfsv3'. The NFS server in this
case is dedicated hardware designed for use as a file server. This
workaround workd for me (causes the test to be skipped).

2007-02-23  Bruno Haible  <address@hidden>

        * tests/du/slink: Skip the test if executing on an nfsv3 file system.

--- coreutils-6.7-solaris/tests/du/slink        Sun Jan 14 16:41:28 2007
+++ coreutils-6.7-osf1/tests/du/slink   Fri Feb 23 23:46:47 2007
@@ -51,6 +51,14 @@
   (exit 77); exit 77
 fi
 
+df --type=nfsv3 . | tail -n +2 > tmp
+if test -s tmp; then
+  # At least on OSF/1 4.0d, when using an nfsv3 file system,
+  # each created symlink can end up having a size of 0.
+  echo "$0: skipping this test, since \`.' is on an NFS file system" 1>&2
+  (exit 77); exit 77
+fi
+
 if test $framework_failure = 1; then
   echo "$0: failure in testing framework" 1>&2
   (exit 1); exit 1


3) "make check" failure of readlink/can-e readlink/can-f readlink/can-m.
The reason is that the expression (inside backquotes)   "${p}"./subdir/
expands to                                              /subdir/
when p is empty. This is obviously a shell bug. Here is a workaround.

2007-02-23  Bruno Haible  <address@hidden>

        * tests/readlink/can-e: Put the closing double-quote at the end of a
        backquoted word, not in the middle. Works around a bug in sh on
        OSF/1 4.0d.
        * tests/readlink/can-f: Likewise.
        * tests/readlink/can-m: Likewise.

--- coreutils-6.7-solaris/tests/readlink/can-e  Sun Jan 14 16:41:29 2007
+++ coreutils-6.7-osf1/tests/readlink/can-e     Fri Feb 23 23:40:51 2007
@@ -1,7 +1,7 @@
 #!/bin/sh
 # tests for canonicalize-existing mode (readlink -e).
 
-# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006, 2007 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -76,58 +76,58 @@
 for p in "" "$pwd/$tmp/"; do
   fail=1
 
-  v=`readlink -e "${p}"regfile` || break
+  v=`readlink -e "${p}regfile"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -e "${p}"./regfile/` && break
+  v=`readlink -e "${p}./regfile/"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"subdir` || break
+  v=`readlink -e "${p}subdir"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -e "${p}"./subdir/` || break
+  v=`readlink -e "${p}./subdir/"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -e "${p}"missing` && break
+  v=`readlink -e "${p}missing"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"./missing/` && break
+  v=`readlink -e "${p}./missing/"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link1` || break
+  v=`readlink -e "${p}link1"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -e "${p}"./link1/` && break
+  v=`readlink -e "${p}./link1/"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link1/more` && break
+  v=`readlink -e "${p}link1/more"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link2` || break
+  v=`readlink -e "${p}link2"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -e "${p}"./link2/` || break
+  v=`readlink -e "${p}./link2/"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -e "${p}"link2/more` && break
+  v=`readlink -e "${p}link2/more"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link3` && break
+  v=`readlink -e "${p}link3"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"./link3/` && break
+  v=`readlink -e "${p}./link3/"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link3/more` && break
+  v=`readlink -e "${p}link3/more"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link4` && break
+  v=`readlink -e "${p}link4"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"./link4/` && break
+  v=`readlink -e "${p}./link4/"` && break
   test -z "$v" || break
 
-  v=`readlink -e "${p}"link4/more` && break
+  v=`readlink -e "${p}link4/more"` && break
   test -z "$v" || break
 
   fail=0
--- coreutils-6.7-solaris/tests/readlink/can-f  Sun Jan 14 16:41:29 2007
+++ coreutils-6.7-osf1/tests/readlink/can-f     Fri Feb 23 23:36:03 2007
@@ -1,7 +1,7 @@
 #!/bin/sh
 # tests for canonicalize mode (readlink -f).
 
-# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006, 2007 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -76,91 +76,91 @@
 for p in "" "$pwd/$tmp/"; do
   fail=1
 
-  v=`readlink -f "${p}"regfile` || break
+  v=`readlink -f "${p}regfile"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -f "${p}"./regfile/` && break
+  v=`readlink -f "${p}./regfile/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"regfile/more` && break
+  v=`readlink -f "${p}regfile/more"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"./regfile/more/` && break
+  v=`readlink -f "${p}./regfile/more/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"subdir` || break
+  v=`readlink -f "${p}subdir"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -f "${p}"./subdir/` || break
+  v=`readlink -f "${p}./subdir/"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -f "${p}"subdir/more` || break
+  v=`readlink -f "${p}subdir/more"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more" || break
 
-  v=`readlink -f "${p}"./subdir/more/` && break
+  v=`readlink -f "${p}./subdir/more/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"missing` || break
+  v=`readlink -f "${p}missing"` || break
   test "$v" = "$my_pwd/$tmp/missing" || break
 
-  v=`readlink -f "${p}"./missing/` && break
+  v=`readlink -f "${p}./missing/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"missing/more` && break
+  v=`readlink -f "${p}missing/more"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"./missing/more/` && break
+  v=`readlink -f "${p}./missing/more/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link1` || break
+  v=`readlink -f "${p}link1"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -f "${p}"./link1/` && break
+  v=`readlink -f "${p}./link1/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link1/more` && break
+  v=`readlink -f "${p}link1/more"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"./link1/more/` && break
+  v=`readlink -f "${p}./link1/more/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link2` || break
+  v=`readlink -f "${p}link2"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -f "${p}"./link2/` || break
+  v=`readlink -f "${p}./link2/"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -f "${p}"link2/more` || break
+  v=`readlink -f "${p}link2/more"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more" || break
 
-  v=`readlink -f "${p}"./link2/more/` && break
+  v=`readlink -f "${p}./link2/more/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link2/more/more2` && break
+  v=`readlink -f "${p}link2/more/more2"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"./link2/more/more2/` && break
+  v=`readlink -f "${p}./link2/more/more2/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link3` || break
+  v=`readlink -f "${p}link3"` || break
   test "$v" = "$my_pwd/$tmp/missing" || break
 
-  v=`readlink -f "${p}"./link3/` && break
+  v=`readlink -f "${p}./link3/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link3/more` && break
+  v=`readlink -f "${p}link3/more"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"./link3/more/` && break
+  v=`readlink -f "${p}./link3/more/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link4` || break
+  v=`readlink -f "${p}link4"` || break
   test "$v" = "$my_pwd/$tmp/subdir/missing" || break
 
-  v=`readlink -f "${p}"./link4/` && break
+  v=`readlink -f "${p}./link4/"` && break
   test -z "$v" || break
 
-  v=`readlink -f "${p}"link4/more` && break
+  v=`readlink -f "${p}link4/more"` && break
   test -z "$v" || break
 
   fail=0
--- coreutils-6.7-solaris/tests/readlink/can-m  Sun Jan 14 16:41:29 2007
+++ coreutils-6.7-osf1/tests/readlink/can-m     Fri Feb 23 23:41:56 2007
@@ -1,7 +1,7 @@
 #!/bin/sh
 # tests for canonicalize-missing mode (readlink -m).
 
-# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006, 2007 Free Software Foundation, Inc.
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -76,94 +76,94 @@
 for p in "" "$pwd/$tmp/"; do
   fail=1
 
-  v=`readlink -m "${p}"regfile` || break
+  v=`readlink -m "${p}regfile"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -m "${p}"./regfile/` || break
+  v=`readlink -m "${p}./regfile/"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -m "${p}"regfile/more` || break
+  v=`readlink -m "${p}regfile/more"` || break
   test "$v" = "$my_pwd/$tmp/regfile/more" || break
 
-  v=`readlink -m "${p}"./regfile/more/` || break
+  v=`readlink -m "${p}./regfile/more/"` || break
   test "$v" = "$my_pwd/$tmp/regfile/more" || break
 
-  v=`readlink -m "${p}"subdir` || break
+  v=`readlink -m "${p}subdir"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -m "${p}"./subdir/` || break
+  v=`readlink -m "${p}./subdir/"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -m "${p}"subdir/more` || break
+  v=`readlink -m "${p}subdir/more"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more" || break
 
-  v=`readlink -m "${p}"./subdir/more/` || break
+  v=`readlink -m "${p}./subdir/more/"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more" || break
 
-  v=`readlink -m "${p}"missing` || break
+  v=`readlink -m "${p}missing"` || break
   test "$v" = "$my_pwd/$tmp/missing" || break
 
-  v=`readlink -m "${p}"./missing/` || break
+  v=`readlink -m "${p}./missing/"` || break
   test "$v" = "$my_pwd/$tmp/missing" || break
 
-  v=`readlink -m "${p}"missing/more` || break
+  v=`readlink -m "${p}missing/more"` || break
   test "$v" = "$my_pwd/$tmp/missing/more" || break
 
-  v=`readlink -m "${p}"./missing/more/` || break
+  v=`readlink -m "${p}./missing/more/"` || break
   test "$v" = "$my_pwd/$tmp/missing/more" || break
 
-  v=`readlink -m "${p}"link1` || break
+  v=`readlink -m "${p}link1"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -m "${p}"./link1/` || break
+  v=`readlink -m "${p}./link1/"` || break
   test "$v" = "$my_pwd/$tmp/regfile" || break
 
-  v=`readlink -m "${p}"link1/more` || break
+  v=`readlink -m "${p}link1/more"` || break
   test "$v" = "$my_pwd/$tmp/regfile/more" || break
 
-  v=`readlink -m "${p}"./link1/more/` || break
+  v=`readlink -m "${p}./link1/more/"` || break
   test "$v" = "$my_pwd/$tmp/regfile/more" || break
 
-  v=`readlink -m "${p}"link2` || break
+  v=`readlink -m "${p}link2"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -m "${p}"./link2/` || break
+  v=`readlink -m "${p}./link2/"` || break
   test "$v" = "$my_pwd/$tmp/subdir" || break
 
-  v=`readlink -m "${p}"link2/more` || break
+  v=`readlink -m "${p}link2/more"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more" || break
 
-  v=`readlink -m "${p}"./link2/more/` || break
+  v=`readlink -m "${p}./link2/more/"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more" || break
 
-  v=`readlink -m "${p}"link2/more/more2` || break
+  v=`readlink -m "${p}link2/more/more2"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more/more2" || break
 
-  v=`readlink -m "${p}"./link2/more/more2/` || break
+  v=`readlink -m "${p}./link2/more/more2/"` || break
   test "$v" = "$my_pwd/$tmp/subdir/more/more2" || break
 
-  v=`readlink -m "${p}"link3` || break
+  v=`readlink -m "${p}link3"` || break
   test "$v" = "$my_pwd/$tmp/missing" || break
 
-  v=`readlink -m "${p}"./link3/` || break
+  v=`readlink -m "${p}./link3/"` || break
   test "$v" = "$my_pwd/$tmp/missing" || break
 
-  v=`readlink -m "${p}"link3/more` || break
+  v=`readlink -m "${p}link3/more"` || break
   test "$v" = "$my_pwd/$tmp/missing/more" || break
 
-  v=`readlink -m "${p}"./link3/more/` || break
+  v=`readlink -m "${p}./link3/more/"` || break
   test "$v" = "$my_pwd/$tmp/missing/more" || break
 
-  v=`readlink -m "${p}"link4` || break
+  v=`readlink -m "${p}link4"` || break
   test "$v" = "$my_pwd/$tmp/subdir/missing" || break
 
-  v=`readlink -m "${p}"./link4/` || break
+  v=`readlink -m "${p}./link4/"` || break
   test "$v" = "$my_pwd/$tmp/subdir/missing" || break
 
-  v=`readlink -m "${p}"link4/more` || break
+  v=`readlink -m "${p}link4/more"` || break
   test "$v" = "$my_pwd/$tmp/subdir/missing/more" || break
 
-  v=`readlink -m "${p}"./link4/more/` || break
+  v=`readlink -m "${p}./link4/more/"` || break
   test "$v" = "$my_pwd/$tmp/subdir/missing/more" || break
 
   fail=0





reply via email to

[Prev in Thread] Current Thread [Next in Thread]